function I_S_SET_R_t = InfoStimSetTime(area,t,STIM_SET,TOT_RESPONSE_MATRIX, TOT_STIMULI_LABELS, opts)

RESPONSE_MATRIX_area_t = squeeze(TOT_RESPONSE_MATRIX(area,:,t));
STIMULUS_LABELS_area = squeeze(TOT_STIMULI_LABELS(area,:));

STIMULUS_INDICES = zeros(size(STIMULUS_LABELS_area));
for i = 1:length(STIM_SET)
    STIMULUS_INDICES = (STIMULUS_INDICES | (STIMULUS_LABELS_area == STIM_SET(i)));
end

STIMULUS_LABELS = STIMULUS_LABELS_area(STIMULUS_INDICES);
RESPONSE_MATRIX = RESPONSE_MATRIX_area_t(STIMULUS_INDICES);


[Resp_Mat, opts.nt] = buildr(STIMULUS_LABELS, RESPONSE_MATRIX);

I_S_SET_R_t = max(0,information(Resp_Mat,opts,'I'));
I_S_SET_R_t = min(I_S_SET_R_t,1);

end
